cancel
Showing results for 
Search instead for 
Did you mean: 

[Integration Issue] Unity 2017.2 and Android Spatializer issue

petergiokaris
Level 4
All,

We have confirmed with Unity that the Android version of our spatializer does not properly register in Unity versions 2017.2 and above. Unity has found the issue and will be fixing it in the next public release.

We will message you when the release is out.

Best,
Peter
Peter Giokaris Senior Software Engineer
4 REPLIES 4

Etienne3k
Level 2
Hi,

Is this announcement still valid?
Thanks,
Etienne

petergiokaris
Level 4
Hi Etienne,

Here are the different versions of Unity 2017+ along with the dates in which the fixes went out:


2018.1 beta 6 (fix released)



2017.3.1 patch 1 (fix released Feb. 14th)



2017.2.1 patch 4 (fix released Feb. 12th)

2017.1.3 patch 2 (not released yet, will be out in next
patch)


Please let us know if you have any issues with any of the above versions.

Thanks,
Peter







Peter Giokaris Senior Software Engineer

noemis
Level 4
hey there,
as described here I also have problems with spatial audio. "Unable to find libAudioPluginOculusSpatializer" is in the adb log (Go and Gear) using Unity 2017.4.2 - can you confirm, that there is a problem with my Unity version too and maybe the same as described here?

I just wonder, why Unity seem to have to fix it in nearly every version... is there nobody at Unity / Oculus testing a new version with a project with basic features (like spatial audio)?

Which version would you currently recommend for stable Oculus mobile development? In general I would love something like a certificate for the current best unity version from a person, who tested it deep enough to find obvious bugs...

best regards
Simeon

mansi1209
Level 2
Which version would you recommend for oculus android development without having this type of issue or else  i can hire android developer for using oculus development.